
## objective

Automate all repeatable tasks and write efficient well formatted code in ways that challenge and forge best practices.


## languages

Client Side Languages: HTML5 | CSS3 | Javascript | JQuery | JSON | XML

Server Side Languages: Python | Bash | PHP | Perl | Java | ActionScript 3 | C | ObjectiveC | C++

Database Types: SQL | NoSQL

Version Control Software: Git | Mercurial


## tools and services

Web and Proxy Servers: NGinx | Apache | Node.js | cPanel

Web Frameworks: ZendFramework 2 | Symfony | FuelPHP | Laravel | CodeIgniter | Word Press

C-Python Libraries: Python Gtk+3 | Python TelepathyGLib

Virtualization: VirtualBox | Xen | Parallels | VMWare | Vagrant | Puppet

Database Management: MongoDb | CouchDB | MariaDB | Doctrine | PostgreSQL | MySQL

Network File Systems: Samba | NSF (Linux) | sshfs

Version Control Services: github | bitbucket

Operation Systems: Linux ([debian](https://www.debian.org/), [fedora](https://getfedora.org/), [sugar](https://www.sugarlabs.org/), [arch](https://www.archlinux.org/), [ubuntu](http://www.ubuntu.com/), [mint](http://www.linuxmint.com/), [crunchbang](http://crunchbang.org/), [raspbian](http://www.raspbian.org/), [centos](http://www.centos.org/)) | Unix (OS X) | Windows (95 - 8)

Animation and Graphics: Flash | PhotoShop (CS5)

E-Commerse: [Open Cart](http://www.opencart.us/) | [Zen Cart](http://www.zen-cart.com/)

Office: MSOffice | Google Docs | Open Office


## skills and practices

Scalable Software

Continuous Integration

Server Automation and Management

Development and Operations

NoSQL Schema Design and Architecture

Cloud Architecture

Agile Development

Object Oriented Programming

Design Patterns

Architecture Patterns (MVC and SOA)

Database Design and Normalization

Wired and Wireless Networking

Virtualization with IOMMU

Computer Troubleshooting and Repair

Customer Service

Professional Verbal Communication

Formal Writing and Email Communication


## employment history

[Stanley Gibbons](http://www.stanleygibbonsplc.com/) September 2013 - Current
Created PHP compatible image management service with scalable bash script for paralel execution to resize over 39 million images on an array of AWS EC2 images in under one business day.
Prepared a custom debian vagrant box with bash daemon to manage updating tools for development, and a legacy compatible ubuntu vagrant config using puppet scripts.
Helped migrate [bidstart.com](http://www.bidstart.com/) from a single Servint to multiple EC2's and troubleshoot
Learned ZendFramework 2, Symfony, Puppet, Vagrant, GraphicsMagick/ImageMagick/Gd, Doctrine, and Mongodb in 6 months.
[Google Summer of Code](http://www.google-melange.com/gsoc/homepage/google/gsoc2013) Summer 2013
Finishing a [video communication software](https://github.com/FOSSRIT/Open-Video-chat) using Free and Open Source software tools for [XO Laptops](http://one.laptop.org/).
Porting the software to other linux distributions with [Gtk3](https://developer.gnome.org/gtk3/3.0/) and [telepathy](http://telepathy.freedesktop.org/wiki/) support.
Holding a [Sugarlabs (Makers of XO Operating system)](http://sugarlabs.org/) birds-of-a-feather hackathon in August during [Flock](http://flocktofedora.org/)
Freelance Developer | IT Consultant​ 2003 - 2013
Latest work available on my [github](https://github.com/CDeLorme) and [bitbucket](https://bitbucket.org/cdelorme) code repository accounts.
Written dozens of tutorials and guides accessible on my [portfolio website](http://www.caseydelorme.com/) and videos on [my youtube account](https://www.youtube.com/user/LordOfElm).
Volunteer Developer and Administrator for the anime and manga commnity forum [seaofnumbers.com](https://www.seaofnumbers.com/).
Provided Web Development and IT Consulting to local busineses.
Former Volunteer Developer and Administrator for Instantz.net and Inpforums.com (taken down in August 2012).
[Martino Flynn](http://www.martinoflynn.com/) Developer Co-OpSummer 2012
Designed the database, wireframes and infrastructure of the company intranet rebuild, including mobile services.
Rebuilt the intranet using [FuelPHP](http://fuelphp.com/), [jQuery](http://jquery.com/), and [Backbonejs](http://backbonejs.org/) including integrating a live notification system and issue tracker.
Helped rebuild sections of [amesbury.com](http://www.amesbury.com/), including an articles system and PDF locator.
Maintained [absorbine.com](http://absorbine.com/) and optimized the [sphinx search engine](http://sphinxsearch.com/).
helped construct secure contact forms for [Segar Law](http://www.segarlaw.com/).
[Time Warner Cable](http://www.timewarnercable.com/en/residential.html), Rochester, NY​2009
Assisted callers by phone with their accounts and limited technical assistance.
Conceptualized and Prototyped web based system to improve order process efficiency.
[ESL Federal Credit Union](https://www.esl.org/), Rochester, NY​​2008 - 2009
Assisted callers by phone with financial investments and loans.
Washington Mutual Bank, Albion, NY​2006 – 2008
Assisted callers by phone with financial accounts.
Selected to teach a course on efficient use of the command line system to my peers.
Awarded employee of the month twice, and “Best of the ECC”, an award given annually to 12 out of over 1000 employees.


## education

[Rochester Institute of Technology](http://www.rit.edu/), Rochester NY
[Bachelor of Science in Information Technology](http://www.rit.edu/programs/information-technology-0)
Completed 2013, Dean’s List 3 Quarters
[Monroe Community College](http://www.monroecc.edu/), Rochester NY
[Associates of Applied Science in Computer Information Systems](http://www.monroecc.edu/etsdbs/MCCatPub.nsf/AcademicPrograms/ComputerInformationSystems-AAS-DEGREE?OpenDocument)
Graduated 2010, Dean’s List 3 Semesters


## certifications

[CompTIA](http://certification.comptia.org/home.aspx) IT Technician A+ Certified, July 2009


## personal

Great independent learning skills.
Demonstrated application of unique problem solving.
Can accomplish great things in team or paired programming.
Enjoys challenging work and experimenting with new technology.


## other education

High School Regents Diploma, [Norman Howard School](http://www.normanhoward.org/), Rochester, NY 2003
Two Year Occupational Program in Computer Information Systems at [We-Mo-Co](http://www.monroe2boces.org/CTE.cfm), Ogden, NY 2003
Accounted for a quarter of my graduation credits.


## references

- [Remy DeCausemaker](https://www.linkedin.com/in/decause)
- [Mike Ruschak](http://mikeruschak.com/)
